Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.icatch.jaxb.wsc.v200410
Class CreateCoordinationContextType

    java.lang.Object
      com.atomikos.icatch.jaxb.wsc.v200410.CreateCoordinationContextType

    public class CreateCoordinationContextType

extends Object

Java class for CreateCoordinationContextType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CreateCoordinationContextType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element ref="{http://schemas.xmlsoap.org/ws/2004/10/wscoor}Expires" minOccurs="0"/>
             <element name="CurrentContext" minOccurs="0">
               <complexType>
                 <complexContent>
                   <extension base="{http://schemas.xmlsoap.org/ws/2004/10/wscoor}CoordinationContextType">
                     <sequence>
                       <any/>
                     </sequence>
                   </extension>
                 </complexContent>
               </complexType>
             </element>
             <element name="CoordinationType" type="{http://www.w3.org/2001/XMLSchema}anyURI"/>
             <any/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

Nested Class Summary
`static class` | `CreateCoordinationContextType.CurrentContext` Java class for anonymous complex type.

Field Summary
`protected List<Object>` | `any`
`protected String` | `coordinationType`
`protected CreateCoordinationContextType.CurrentContext` | `currentContext`
`protected Expires` | `expires`

Constructor Summary
`CreateCoordinationContextType()`

Method Summary
`List<Object>` | `getAny()` Gets the value of the any property.
`String` | `getCoordinationType()` Gets the value of the coordinationType property.
`CreateCoordinationContextType.CurrentContext` | `getCurrentContext()` Gets the value of the currentContext property.
`Expires` | `getExpires()` Gets the value of the expires property.
`Map<QName,String>` | `getOtherAttributes()` Gets a map that contains attributes that aren't bound to any typed property on this class.
`void` | `setCoordinationType(String value)` Sets the value of the coordinationType property.
`void` | `setCurrentContext(CreateCoordinationContextType.CurrentContext value)` Sets the value of the currentContext property.
`void` | `setExpires(Expires value)` Sets the value of the expires property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### expires

    protected Expires expires

### currentContext

    protected CreateCoordinationContextType.CurrentContext currentContext

### coordinationType

    protected String coordinationType

### any

    protected List<Object> any

Constructor Detail

### CreateCoordinationContextType

    public CreateCoordinationContextType()

Method Detail

### getExpires

    public Expires getExpires()

  Gets the value of the expires property.

  Returns:
    possible object is `Expires`

### setExpires

    public void setExpires(Expires value)

  Sets the value of the expires property.

  Parameters:
    `value` - allowed object is `Expires`

### getCurrentContext

    public CreateCoordinationContextType.CurrentContext getCurrentContext()

  Gets the value of the currentContext property.

  Returns:
    possible object is `CreateCoordinationContextType.CurrentContext`

### setCurrentContext

    public void setCurrentContext(CreateCoordinationContextType.CurrentContext value)

  Sets the value of the currentContext property.

  Parameters:
    `value` - allowed object is `CreateCoordinationContextType.CurrentContext`

### getCoordinationType

    public String getCoordinationType()

  Gets the value of the coordinationType property.

  Returns:
    possible object is `String`

### setCoordinationType

    public void setCoordinationType(String value)

  Sets the value of the coordinationType property.

  Parameters:
    `value` - allowed object is `String`

### getAny

    public List<Object> getAny()

  Gets the value of the any property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the any property.

  For example, to add a new item, do as follows:

          getAny().add(newItem);

  Objects of the following type(s) are allowed in the list `Element` `Object`

### getOtherAttributes

    public Map<QName,String> getOtherAttributes()

  Gets a map that contains attributes that aren't bound to any typed property on this class.

  the map is keyed by the name of the attribute and the value is the string value of the attribute. the map returned by this method is live, and you can add new attribute by updating the map directly. Because of this design, there's no setter.

  Returns:
    always non-null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.